array_cats(3)

NAME
array_cats - append C string to an array

SYNTAX
#include <array.h> void array_cats(array* x,const char* y);
  array x;
  array_cats(&x,"fnord");

DESCRIPTION
array_cats appends the contents of the 0-terminated string y, not including the terminating 0 byte, to the array x. array_cats handles failure in the same way as array_cat.

SEE ALSO
array_allocate(3), array_get(3), array_fail(3), array_reset(3), array_cat(3), array_catb(3), array_cats0(3), array_cate(3), array_cat0(3)